[android-components](../index.md) / [mozilla.components.support.test.robolectric](index.md) / [grantPermission](./grant-permission.md)

# grantPermission

`fun grantPermission(vararg permissions: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/support/test/src/main/java/mozilla/components/support/test/robolectric/Permissions.kt#L16)

A helper for working with permission
just pass one or more permission that you need to be granted.

### Parameters

`permissions` - list of permissions that you need to be granted.